Get mask list
curl --request GET \
--url https://api-stage.karmacheck.io/shipment/mask/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/shipment/mask/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/shipment/mask/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"inStock": false,
"name": "3M 1860 and 1860S",
"sku": "3M 1860 and 1860S"
},
{
"inStock": true,
"name": "3M 1870+",
"sku": "3M 1870+"
},
{
"inStock": true,
"name": "3M 8210",
"sku": "3M 8210"
},
{
"inStock": false,
"name": "3M 9205+",
"sku": "3M 9205+"
},
{
"inStock": true,
"name": "BYD N95 (TC 84A-9221)",
"sku": "BYD N95 (TC 84A-9221)"
},
{
"inStock": true,
"name": "Halyard FLUIDSHIELD* (Small & Regular)",
"sku": "Halyard FLUIDSHIELD*"
},
{
"inStock": true,
"name": "Honeywell DC365 N95",
"sku": "Honeywell DC365 N95"
},
{
"inStock": true,
"name": "Honeywell DF300 N95",
"sku": "Honeywell DF300 N95"
},
{
"inStock": true,
"name": "Makrite 9500 N95 (NIOSH 84A-5411)",
"sku": "Makrite 9500 N95 (NIOSH 84A-5411)"
},
{
"inStock": true,
"name": "Prestige Ameritech ProGear",
"sku": "Prestige Ameritech ProGear"
}
]
}Services
Get mask list
Retrieves a list of masks for the user to order new shipment.
GET
/
shipment
/
mask
/
list
Get mask list
⌘I